: Interface NodeHandler

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.widgets
Interface NodeHandler

All Known Implementing Classes:
  FrameBrowser, ServerBrowser

public interface NodeHandler

The interface to be implemented by nodes. What is a node is application dependent, however, the informations the browser needs in order to be able do display nodes are obtained through this interface.

See Also:
  `TreeBrowser`

Method Summary
`boolean` | `isDirectory(TreeBrowser browser, TreeNode node)` Checks if the node is a directory.
`void` | `notifyCollapse(TreeBrowser browser, TreeNode node)` Notifies that a node has to be collapsed.
`void` | `notifyExecute(TreeBrowser browser, TreeNode node)` Notifies that a node has to be executed.
`void` | `notifyExpand(TreeBrowser browser, TreeNode node)` Notifies that a node has to be expanded.
`void` | `notifySelect(TreeBrowser browser, TreeNode node)` Notifies that a node has to be selected.

Method Detail

### notifySelect

    public void notifySelect(TreeBrowser browser,
                             TreeNode node)

  Notifies that a node has to be selected.
  Parameters:
    `browser` - the TreeBrowser sending the notification.

### notifyExpand

    public void notifyExpand(TreeBrowser browser,
                             TreeNode node)

  Notifies that a node has to be expanded.
  Parameters:
    `browser` - the TreeBrowser sending the notification.

### notifyCollapse

    public void notifyCollapse(TreeBrowser browser,
                               TreeNode node)

  Notifies that a node has to be collapsed.
  Parameters:
    `browser` - the TreeBrowser sending the notification.

### notifyExecute

    public void notifyExecute(TreeBrowser browser,
                              TreeNode node)

  Notifies that a node has to be executed.
  Parameters:
    `browser` - the TreeBrowser sending the notification.

### isDirectory

    public boolean isDirectory(TreeBrowser browser,
                               TreeNode node)

  Checks if the node is a directory.
  Parameters:
    `browser` - the TreeBrowser sending the notification.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD